﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Kendo.Mvc;
using Kendo.Mvc.UI;
using Kendo.Mvc.Extensions;
using WebApplication1.Models;

namespace WebApplication1.Controllers
{
    public class KendoController : Controller
    {
        public ActionResult Read([DataSourceRequest]DataSourceRequest request)
        {
            List<Test> data = new List<Test>();
            data.Add(new Test { Id = 1, Name = "Test", Created = DateTime.Today });
            IQueryable<Test> data2 = data.AsQueryable();
            DataSourceResult result = data.ToDataSourceResult(request);
            return Json(result);
        }

        public ActionResult Create([DataSourceRequest]DataSourceRequest request, Test model)
        {
            if (ModelState.IsValid)
            {

            }
            return Json(new[] { model }.ToDataSourceResult(request, ModelState));
        }

        public ActionResult Update([DataSourceRequest]DataSourceRequest request, Test model)
        {
            if(ModelState.IsValid)
            {

            }

            return Json(new[] { model }.ToDataSourceResult(request, ModelState));
        }

        public ActionResult Destroy([DataSourceRequest]DataSourceRequest request, Test model)
        {
            return Json(new[] { model }.ToDataSourceResult(request, ModelState));
        }
    }
}