﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace WebApplication1.Models
{
    public class TestModel
    {
        public TestModel()
        {            
        }

        public int Id { get; set; }

        public string Name { get; set; }

        [UIHint("TestTemplate")]
        public List<Test> Tests { get; set; }
    }

    public class Test
    {
        public Test()
        {
        }

        public int Id { get; set; }

        public string Name { get; set; }

        [DataType(DataType.Date)]
        public DateTime Created { get; set; }
    }
}